## qt6-coap 6.10.1

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtCoap
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Coap Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Widgets Quick Qml)

if(NOT QT_FEATURE_udpsocket)
    message(NOTICE "UDP socket support is required for QtCoap, skipping module")
    return()
endif()

qt_internal_project_setup()

qt_build_repo()

## qt6-coap 6.9.1

=== debian/changelog ===
qt6-coap (6.9.1-0zneon+24.04+noble+stable+build12) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 16:03:54 +0000

qt6-coap (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 23:58:25 +1000

qt6-coap (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:57:07 +1000

qt6-coap (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:23:19 +1000

qt6-coap (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:48:56 +1000

qt6-coap (6.8.0-0neon) noble; urgency=medium

  * Initial qt6 release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 3 Mar 2023 10:55:21 +1000

=== debian/control ===
Source: qt6-coap
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper,
               debhelper-compat (= 13),
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-coap.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-coap
Maintainer: Neon CI <neon@kde.org>

Package: qt6-coap
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Description: Qt Coap Library
 Constrained Application Protocol (CoAP) is a machine-to-machine (M2M)
 web transfer protocol for use with constrained nodes and constrained
 networks in the Internet of Things (IoT). It is designed to easily
 interface with HTTP for integration with the Web, while meeting
 specialized requirements such as multicast support, very low overhead,
 and simplicity for constrained environments.

Package: qt6-coap-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-coap (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: cmake
Description: Qt 6 Coap development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building
 Qt 6 Coap applications.

## qt6-coap 6.9.2

=== debian/changelog ===
qt6-coap (6.9.2-0zneon+24.04+noble+stable+build13) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 01:03:32 +0000

qt6-coap (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:28:43 +1000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1~),
-               qt6-declarative-dev (>= 6.9.1~)
+               qt6-base-dev (>= 6.9.2~),
+               qt6-declarative-dev (>= 6.9.2~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-coap 6.9.3

=== debian/changelog ===
qt6-coap (6.9.3-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:25:20 +0000

qt6-coap (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                mold,
                ninja-build,
                pkg-kde-tools,
+               pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.2~),
-               qt6-declarative-dev (>= 6.9.2~)
+               qt6-base-dev (>= 6.9.3~),
+               qt6-declarative-dev (>= 6.9.3~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-coap 6.10.0

=== debian/changelog ===
qt6-coap (6.10.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 11:37:30 +0000

qt6-coap (6.10.0-0neon) noble; urgency=medium

  * New release

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~)
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-coap 6.10.1

=== debian/changelog ===
qt6-coap (6.10.1-0zneon+24.04+noble+stable+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 06:48:17 +0000

qt6-coap (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
